Package org.eclipse.m2m.atl.emftvm.impl

## Class RuleImpl.WithApplierWithoutPostApplyCbState

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.impl.RuleImpl.ApplierCbState
  - - org.eclipse.m2m.atl.emftvm.impl.RuleImpl.WithApplierWithoutPostApplyCbState

Enclosing class:
  RuleImpl

    protected class RuleImpl.WithApplierWithoutPostApplyCbState
    extends RuleImpl.ApplierCbState

`RuleImpl.ApplierCbState` class for rules that have a `Rule.getApplier()` code block and no `Rule.getPostApply()` code block.

### Constructor Summary

Constructors
`protected` `WithApplierWithoutPostApplyCbState()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `applyFor​(StackFrame frame, TraceLink trace)` Applies this rule for the given `trace`.
`java.lang.Object` `postApplyFor​(StackFrame frame, TraceLink trace)` Post-applies this rule for the given `trace`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WithApplierWithoutPostApplyCbState

    protected WithApplierWithoutPostApplyCbState()

### Method Detail

#### applyFor

    public java.lang.Object applyFor​(StackFrame frame,
                                     TraceLink trace)

Applies this rule for the given `trace`.

Specified by:
  `applyFor` in class `RuleImpl.ApplierCbState`
Parameters:
  `frame` - the stack frame context
  `trace` - the trace link to apply the rule for
Returns:
  the application result

#### postApplyFor

    public java.lang.Object postApplyFor​(StackFrame frame,
                                         TraceLink trace)

Post-applies this rule for the given `trace`.

Specified by:
  `postApplyFor` in class `RuleImpl.ApplierCbState`
Parameters:
  `frame` - the stack frame context
  `trace` - the trace link to postApply the rule for
Returns:
  the application result